STRUCT TEMPLA(3)

NAME
boost::numeric::functional::unary_plus_base

SYNOPSIS

// In header: <boost/accumulators/numeric/functional.hpp>
template<typename Arg, typename EnableIf = void>
struct unary_plus_base :
  public std::unary_function< Arg, typeof(+lvalue< Arg >())>
{
  // public member functions
  result_type operator()(Arg &) const;
};

DESCRIPTION

  unary_plus_base public member functions

    1.

    result_type operator()(Arg & arg) const;

    Returns:
        + arg